# TCGBConfiguration Class Reference

Inherits from | NSObject
Declared in | TCGBConfiguration.h TCGBConfiguration.m

## Overview

TCGBConfiguration configures essential Gamebase settings.

## Properties

### `appID`

ApplicationID which is NHN Cloud Project ID.

`@property (nonatomic, strong) NSString *appID`

#### Declared In

`TCGBConfiguration.h`

### `appVersion`

Application Version that is registered at NHN Cloud Console.

`@property (nonatomic, strong) NSString *appVersion`

#### Declared In

`TCGBConfiguration.h`

### `zoneType`

Zone Type that is nomally “REAL”.

`@property (nonatomic, strong) NSString *zoneType`

#### Declared In

`TCGBConfiguration.h`

### `serverAddress`

Server Address which your application communicates with.

`@property (nonatomic, strong, readonly) NSURL *serverAddress`

#### Declared In

`TCGBConfiguration.h`

### `options`

Extra Options such as whether Showing Blocking PopUp enabled or not.

`@property (nonatomic, strong) NSMutableDictionary<NSString*id> *options`

#### Declared In

`TCGBConfiguration.h`

## Initialization

### `+ configurationWithAppID:appVersion:`

Creates TCGBConfiguration instance

`+ (TCGBConfiguration *)configurationWithAppID:(NSString *)appID appVersion:(NSString *)appVersion`

#### Parameters

`appID` | ApplicationID which is NHN Cloud Project ID.
`appVersion` | Application Version that is registered at NHN Cloud Console.

#### Declared In

`TCGBConfiguration.h`

### `+ configurationWithAppID:appVersion:zoneType:`

Creates TCGBConfiguration instance

`+ (TCGBConfiguration *)configurationWithAppID:(NSString *)appID appVersion:(NSString *)appVersion zoneType:(NSString *)zoneType`

#### Parameters

`appID` | ApplicationID which is NHN Cloud Project ID.
`appVersion` | Application Version that is registered at NHN Cloud Console.
`zoneType` | Zone Type that is nomally “REAL”. It is only used to NHN Cloud Beta/Alaha Test.

#### Declared In

`TCGBConfiguration.h`

### `+ configurationWithAppID:appVersion:zoneType:storeCode:`

Creates TCGBConfiguration instance

`+ (TCGBConfiguration *)configurationWithAppID:(NSString *)appID appVersion:(NSString *)appVersion zoneType:(NSString *)zoneType storeCode:(NSString *)storeCode`

#### Parameters

`appID` | ApplicationID which is NHN Cloud Project ID.
`appVersion` | Application Version that is registered at NHN Cloud Console.
`zoneType` | Zone Type that is nomally “REAL”. It is only used to NHN Cloud Beta/Alaha Test.
`storeCode` | It represent storeCode, actually “AS”(AppStore).

#### Declared In

`TCGBConfiguration.h`

## Setting Options

### `– enablePopup:`

Enable Show Blocking PopUp. Default set value is enable status popup.

`- (void)enablePopup:(BOOL)enable`

#### Parameters

`enable` | `YES` if Shown Popup blocking another processes.

#### Declared In

`TCGBConfiguration.h`

### `– isEnablePopup`

Method that returns whether the popup will be show or not.

`- (BOOL)isEnablePopup`

#### Return Value

Boolean value that whether the popup will be show.

#### Declared In

`TCGBConfiguration.h`

### `– enableLaunchingStatusPopup:`

Enable Show Blocking PopUp. Default set value is enable status popup.

`- (void)enableLaunchingStatusPopup:(BOOL)enable`

#### Parameters

`enable` | `YES` if Shown Popup blocking another processes.

#### Declared In

`TCGBConfiguration.h`

### `– isEnableLaunchingStatusPopup`

Method that returns whether the popup will be show or not.

`- (BOOL)isEnableLaunchingStatusPopup`

#### Return Value

Boolean value that whether the popup will be show.

#### Declared In

`TCGBConfiguration.h`

### `– enableBanPopup:`

Enable Show Blocking PopUp. Default set value is enable status popup.

`- (void)enableBanPopup:(BOOL)enable`

#### Parameters

`enable` | `YES` if Shown Popup blocking another processes.

#### Declared In

`TCGBConfiguration.h`

### `– isEnableBanPopup`

Method that returns whether the popup will be show or not.

`- (BOOL)isEnableBanPopup`

#### Return Value

Boolean value that whether the popup will be show.

#### Declared In

`TCGBConfiguration.h`

### `– storeCode`

StoreCode that is needed when using purchasing APIs.

`- (NSString *)storeCode`

#### Return Value

StoreCode that is needed when using purchasing APIs.

#### Declared In

`TCGBConfiguration.h`

### `– gameEngine`

String value of gameEngine.

`- (NSString *)gameEngine`

#### Return Value

String value of gameEngine.

#### Declared In

`TCGBConfiguration.h`

### `– setDisplayLanguageCode:`

Set Display Language Code when initializing Gamebase SDK.

`- (void)setDisplayLanguageCode:(NSString *)languageCode`

#### Parameters

`languageCode` | It represent language code (ISO-639)

#### Declared In

`TCGBConfiguration.h`

### `– displayLanguageCode`

Method that returns displayLanguage that you have set.

`- (NSString *)displayLanguageCode`

#### Return Value

String value of language code (ISO-639)

#### Declared In

`TCGBConfiguration.h`

## Other Methods

### `– enableKickoutPopup:`

As of release 2.34.0, this API is not used anymore. (Deprecated: As of release 2.34.0, this API is not used anymore.)

`- (void)enableKickoutPopup:(BOOL)enable`

#### Availability

Added 2.34.0.

#### Declared In

`TCGBConfiguration.h`

### `– isEnableKickoutPopup`

As of release 2.34.0, this API is not used anymore. (Deprecated: As of release 2.34.0, this API is not used anymore.)

`- (BOOL)isEnableKickoutPopup`

#### Availability

Added 2.34.0.

#### Declared In

`TCGBConfiguration.h`

### `– setStoreCode:`

StoreCode that is needed when using purchasing APIs. (Deprecated: As of release 2.79.0, use [TCGBConfiguration configurationWithAppID:appVersion:zoneType:storeCode:] method instead.)

`- (void)setStoreCode:(NSString *)storeCode`

#### Parameters

`storeCode` | It represent storeCode, actually “AS”(AppStore).

#### Discussion

Warning: If you did not set this value, default will set to AS(AppStore).

#### Declared In

`TCGBConfiguration.h`